Subject: RE: Last Call: CR-LDP Extensions for ASON to Informational

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 23 Jan 2003 19:38:31 +0100

We had already found one incorrect reference, and we
checked with the author, and he agrees it is incorrect
and that we should fix it. (UNI 1.0 instead of 1.1)

The document references ITU documents G.7713 and G.8080
Thos as clear references (I think) to documents as they
are known in ITU. So I see no issue.

It probably should also reference G7713.3, which I think is
still missing. I am checking with the author as we speak.
It is quite possible that in ITU process it is OK to refer
to G7713 and that that automatically includes the G7713.x
documents. Can ITU folk explain.

In any event, when a document is being prepared by RFC-Editor
for final publication, they always check the references and
check with the authors if anything seems incorrect or
incomplete. 

Thanks,
Bert 

> -----Original Message-----
> From: Eric Gray [mailto:[email-masked]]
> Sent: donderdag 23 januari 2003 18:18
> To: Wijnen, Bert (Bert)
> Cc: Kireeti Kompella; Bob Braden; [email-masked]; [email-masked]
> Subject: Re: Last Call: CR-LDP Extensions for ASON to Informational
> 
> 
> Bert,
> 
>     A common example of useful "derivative" work is to modify the
> document such that references include URLs and include it in 
> web-sites. There are any number of private, or semi-private 
> - and maybe one or two public - web sites that have provided
> hyper-linked versions of Internet Drafts in just this way.
> 
>     Because this document explicitly excludes derivative works, this
> precludes
> doing this for this (eventual) RFC - or, more likely, sets 
> someone up for
> legal
> trouble if they have already done so.
> 
>     I'm not sure why an RFC might be granted perpetual unrestricted
> copyright but not allowed in derivative works. Is the intent to
> include copies as derivative works?
> 
>     It seems a good idea to provide justification - or at least and
> explanation - if an intended RFC is no in complete compliance with
> RFC 2026.
> 
> "Wijnen, Bert (Bert)" wrote:
> 
> > I noticed today that I gave an incorrect answer to one of
> > Kireeti's points. He asked and I answered:
> >
> > > > I would like to know what the intent is in not granting
> > > > "the right to produce derivative works",
> > > Did Steve Trowbridge not answer the first question?
> > >
> > This is in the Draft-aboulmagd-crldp-ason-ext-02.txt document.
> > It states:
> >
> >    This document is an Internet-Draft and is in full 
> conformance with
> >    all provisions of Section 10 of RFC2026 except that the right to
> >    produce derivative works is not granted.
> >
> > But this is OK since this is documenting ITU material.
> >
> > Bert and Scott
> 
>

---

From: Kireeti Kompella <[email-masked]>
Date: Thu, 23 Jan 2003 14:49:48 -0800 (PST)

Hi,

I just saw the message that this document has been approved.  I
have a question about the process.

Definition in RFC 2434, "IETF Consensus - New values are assigned through
the IETF consensus process".  The CR-LDP code points are clearly marked
as "IETF Consensus", not IESG Approval.

I have heard repeatedly, from at least 5 different ADs that three people
for and one against does *not* constitute a consensus -- in fact, this
was repeated in the TE WG list a couple of days ago.

There were several people that raised various objections, from nits
to technical issues.  Many remain unanswered.

Am I to understand that the IESG inferred consensus from the discussions
that have taken place (and are still under way)?

Kireeti.

---

From: Eric Gray <[email-masked]>
Date: Thu, 23 Jan 2003 14:25:38 -0500

Bert,

    My comment had nothing to do with the accuracy of references.
It was in reply to what looks like your comment that exclusion of the
right to produce derivative works is "OK since this is documenting
ITU material".  I thought my point was clear, and apologize for any
confusion it may have caused.

    To repeat, hopefully making it clearer this time: it seems somewhat
of a problem when unrestricted copyright is granted without the right
to produce derivative works. If the intent is to include copies as a
form of derivative work, then there are worse problems.  What is the
intent of the restriction in this draft?

    To further clarify what I meant by derivative works, check out these
public sites:

    http://www.faqs.org/rfcs/rfc2026.html
    http://rfc.sunsite.dk/rfc/rfc2026.html

These are good examples of what I was talking about as possible
"derivative works".  They are not exact copies, especially in the second
case which includes hyper-links to at least some referenced material (e.g.
- RFC references).

--
Eric Gray